#
# spec file for package nodejs-mime-db
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define base_name mime-db

Name:           nodejs-mime-db
Version:        1.16.0
Release:        14.1
Summary:        Media Type Database
License:        MIT
Group:          Development/Languages/Other
Url:            https://github.com/jshttp/mime-db
Source:         http://registry.npmjs.org/%{base_name}/-/%{base_name}-%{version}.tgz
BuildRequires:  nodejs-packaging
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%nodejs_find_provides_and_requires

%description
This is a database of all mime types. It consistents of a single,
public JSON file and does not include any logic, allowing it to
remain as unopinionated as possible with an API.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{base_name}
cp -pr *.json index.js \
        %{buildroot}%{nodejs_sitelib}/%{base_name}/

%files
%defattr(-,root,root,-)
%doc README.md LICENSE HISTORY.md
%{nodejs_sitelib}/%{base_name}

%changelog
* Thu Jul 30 2015 i@marguerite.su
- update version 1.16.0
* Sat Jun 27 2015 i@marguerite.su
- update version 1.10.0
* Sat Apr  4 2015 dmueller@suse.com
- enable building for all arches
* Thu Oct  9 2014 jgleissner@suse.com
- use nodejs-packaging for building
* Mon Sep 22 2014 i@marguerite.su
- initial version 1.0.1
